summaryrefslogtreecommitdiffstats
path: root/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild
diff options
context:
space:
mode:
author B. Watson2010-04-10 15:43:41 +0200
committer David Somero2010-05-15 10:37:49 +0200
commitb72055b5b597dd0fc8b97c86fa1d03e2127a9961 (patch)
tree0de50834b897cbf13ec549c9782243906cf90791 /games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild
parent38ee42c72a639ee8cb8ad69ee5af520eaaa33b5d (diff)
downloadslackbuilds-b72055b5b597dd0fc8b97c86fa1d03e2127a9961.tar.gz
games/jfsw_hires_pack: Added (Hi-res graphics for Shadow Warrior)
Diffstat (limited to 'games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild')
-rw-r--r--games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild b/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild
new file mode 100644
index 0000000000..1e1d610134
--- /dev/null
+++ b/games/jfsw_hires_pack/jfsw_hires_pack.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for jfsw_hires_pack
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=jfsw_hires_pack
+VERSION=${VERSION:-2.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ZIPFILE1=Sw_Hrp_v$( echo $VERSION | sed 's/\.//g' ).zip
+ZIPFILE2=Swp_Users.zip
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG/usr/share/games/jfsw $OUTPUT
+cd $PKG/usr/share/games/jfsw
+unzip $CWD/Sw_Hrp_v21.zip
+unzip $CWD/Swp_Users.zip
+unzip Sw_Hrp.zip
+rm -f Sw_Hrp.zip
+
+# The HRP was built on Windows (non-case-sensitive filesystem). Have to
+# fix a few things to get it working on a proper filesystem.
+mv highres/Sw.def sw.def
+mv User.def user.def
+rename KVX kvx highres/sprites/voxels/*.KVX
+# TODO: what about highres/skyboxes/Sky_Stars ?
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}